package utils

import (
	"github.com/pkg/errors"
)

//Response 结构体
type Response struct {
	Code int         `json:"code"`
	Message  string      `json:"message"`
	Data    interface{} `json:"data"`
}

func Success(data interface{}) Response {
	var result Response
	result.Code = 0
	result.Message =  "SUCCESS"
	result.Data = data
	return result
}

//拉卡拉返回值
type ResponseLakala struct {
	Status  int         `json:"status"`
	Message string      `json:"message"`
	Data    interface{} `json:"data"`
}
func SuccessLakala(data interface{}) ResponseLakala {
	var result ResponseLakala
	result.Status = 0
	result.Message =  "SUCCESS"
	result.Data = data
	return result
}

//Response 结构体
type Response2 struct {
	Code int         `json:"code"`
	Message  string      `json:"message"`
	Data    interface{} `json:"data"`
	Page    interface{} `json:"page"`
	Login    int `json:"login_flg"`
	Credit    int `json:"credit_flg"`
	City    int `json:"city_flg"`
}
func Success2(data interface{}, page interface{}, login_flg, credit_flg, city_flg int) Response2 {
	var result Response2
	result.Code = 0
	result.Message =  "SUCCESS"
	result.Data = data
	result.Page = page
	result.Login = login_flg
	result.Credit = credit_flg
	result.City = city_flg
	return result
}

//Response 结构体
type Response3 struct {
	Code     int         `json:"code"`
	Message  string      `json:"message"`
	Data     interface{} `json:"data"`
	Page     interface{} `json:"page"`
	Login    int         `json:"login_flg"`
	Credit   int         `json:"credit_flg"`
	City     int         `json:"city_flg"`
	RegTime  int         `json:"reg_time"`
	WhiteFlg int         `json:"white_flg"`
}
func Success3(data interface{}, page interface{}, login_flg, credit_flg, city_flg, reg_time int, white_flg int) Response3 {
	var result Response3
	result.Code = 0
	result.Message =  "SUCCESS"
	result.Data = data
	result.Page = page
	result.Login = login_flg
	result.Credit = credit_flg
	result.City = city_flg
	result.RegTime = reg_time
	result.WhiteFlg = white_flg
	return result
}

func LoginFaile(err error, msg string ) Response{
	var result Response
	result.Code = -1
	result.Message = errors.Wrap(err, msg).Error()
	result.Data = nil
	return result
}

func CheckError(err error, msg string ) Response{
	var result Response
	result.Message = errors.Wrap(err, msg).Error()
	result.Code = 1
	result.Data = nil
	return result
}

func CheckError2(err error, msg string, data interface{}) Response{
	var result Response
	result.Message = errors.Wrap(err, msg).Error()
	result.Code = 1
	result.Data = data
	return result
}




